function displayPatches(D)
    ## Valid only for one chanel
    n, K = size(D)
    sizeEdge = convert( Int64, sqrt(n))


    p = 3.5
    M = maximum(D)
    m = minimum(D)

    if (m >= 0)
        me = 0
        sig = sqrt( mean(vec(D)).^2) 
    else
        me=mean(vec(D))
        sig=sqrt( mean((vec(D)-me).^2) )
    end
    D = D-me
    D = min(max(D,-p*sig),p*sig)

    M = maximum(D)
    m = minimum(D)
    D= (D-m) / (M-m)
    D=1-D

    nBins = convert( Int64, floor(sqrt(K)) )

    tmp = zeros( ((sizeEdge+1)*nBins+1) , (sizeEdge+1)*nBins+1)
    patch = zeros(sizeEdge,sizeEdge)
    mm=sizeEdge*sizeEdge

    for ii in 1:nBins
        for jj in 1:nBins
            io = ii
            jo = jj
            offsetx = 0
            offsety = 0
            ii = convert( Int64, mod(ii-1+offsetx,nBins)+1 )
            jj = convert( Int64, mod(jj-1+offsety,nBins)+1 )
            patchCol = D[1:n,(io-1)*nBins+jo]
            patchCol = reshape(patchCol, (sizeEdge,sizeEdge))


            M = maximum(patchCol)
            m = minimum(patchCol)
            #patchCol=1.0*(patchCol-m)/(M-m)+0.0;


            tmp[ (ii-1)*(sizeEdge+1)+2:ii*(sizeEdge+1), (jj-1)*(sizeEdge+1)+2:jj*(sizeEdge+1)] = patchCol
            ii=io
            jj=jo
        end
    end


    return(tmp)
    
end



